I=(S=Uno.Content.Mesh = function(){
}).prototype;

I.GetUShortIndices = function()
{
    var converted = _newFilledArray(this.Indices.length, function() { return 0; });

    for (var i = 0; i < this.Indices.length; i++)
    {
        converted[i] = this.Indices[i];
    }

    return converted;
};

S.$0 = function($this) {
    if (!$this) $this = new Uno.Content.Mesh;
    return $this;
};

S.$1 = function(vertices, normals, texcoords, indices, $this) {
    if (!$this) $this = new Uno.Content.Mesh;
    $this.Vertices = vertices;
    $this.Normals = normals;
    $this.TexCoords = texcoords;
    $this.Indices = indices;
    return $this;
};
